> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/page-manipulation/crop.md).

# Cropping PDF pages using JavaScript

Learn how to crop pdf page using CropPage function using Apryse SDK. The Apryse Web SDK streamlines secure, serverless document processing with robust support for JavaScript and TypeScript, and seamle

{% hint style="info" %}
**Requirements**

*These packages are required to use these features in production. Trial keys have unlimited access to all features*

<a href="https://apryse.com/capabilities#PageManipulation" class="button primary">Package: Page Manipulation</a><a href="https://showcase.apryse.com/pdf-page-manipulation-api" class="button primary">Live demo</a>
{% endhint %}

PDF pages can be cropped using the [cropPages](https://sdk.apryse.com/api/web/Core.Document.html#cropPages) function. Simply pass in an array of pages to crop and the amount to be cropped from each side. One thing to note is that sides are based on the document rotation instead of the UI or total rotation.

{% tabs %}
{% tab title="JavaScript (SDK v8.0+)" %}
{% code lineNumbers="true" %}

```js
WebViewer(...)
  .then(instance => {
    const docViewer = instance.Core.documentViewer;
    const rotation = instance.Core.PageRotation;

    docViewer.addEventListener('documentLoaded', async () => {
      const doc = docViewer.getDocument();
      const cropTop = 100, cropLeft = 0, cropRight = 0, cropBottom = 0;
      const page1 = 1, page2 = 2, page3 = 3;

      doc.getPageInfo(page1); // {width: 612, height: 792}

      await doc.cropPages([page1], cropTop, cropBottom, cropLeft, cropRight)
      doc.getPageInfo(page1); // {width: 612, height: 692}

      await doc.rotatePages([page1], rotation.E_90);
      docViewer.rotateCounterClockwise(page1);
      doc.getPageInfo(page1); // {width: 692, height: 612}, width and height get swapped

      // rotate the first page back so that it appears upright in the viewer
      await doc.cropPages([page1], cropTop, cropBottom, cropLeft, cropRight);
      doc.getPageInfo(page1); // {width: 692, height: 512}
      // Even though the page appears upright, the document is rotated 90 degree clockwise
      // So the left side of the document is cropped
    });
  });
```

{% endcode %}

[WebViewerInstance](https://sdk.apryse.com/api/web/WebViewerInstance.html) [DocumentViewer.getDocument](https://sdk.apryse.com/api/web/Core.DocumentViewer.html#getDocument__anchor) [DocumentViewer.rotateCounterClockwise](https://sdk.apryse.com/api/web/Core.DocumentViewer.html#rotateCounterClockwise__anchor) [Document.getPageInfo](https://sdk.apryse.com/api/web/Core.Document.html#getPageInfo__anchor) [Document.cropPages](https://sdk.apryse.com/api/web/Core.Document.html#cropPages)
{% endtab %}

{% tab title="JavaScript (SDK v7.0+)" %}
{% code lineNumbers="true" %}

```js
WebViewer(...)
  .then(instance => {
    const docViewer = instance.docViewer;
    const rotation = instance.CoreControls.PageRotation;

    docViewer.on('documentLoaded', async () => {
      const doc = docViewer.getDocument();
      const cropTop = 100, cropLeft = 0, cropRight = 0, cropBottom = 0;
      const page1 = 1, page2 = 2, page3 = 3;

      doc.getPageInfo(page1); // {width: 612, height: 792}

      await doc.cropPages([page1], cropTop, cropBottom, cropLeft, cropRight)
      doc.getPageInfo(page1); // {width: 612, height: 692}

      await doc.rotatePages([page1], rotation.E_90);
      docViewer.rotateCounterClockwise(page1);
      doc.getPageInfo(page1); // {width: 692, height: 612}, width and height get swapped

      // rotate the first page back so that it appears upright in the viewer
      await doc.cropPages([page1], cropTop, cropBottom, cropLeft, cropRight);
      doc.getPageInfo(page1); // {width: 692, height: 512}
      // Even though the page appears upright, the document is rotated 90 degree clockwise
      // So the left side of the document is cropped
    });
  });
```

{% endcode %}

[WebViewerInstance](https://sdk.apryse.com/api/web/WebViewerInstance.html) [DocumentViewer.getDocument](https://sdk.apryse.com/api/web/Core.DocumentViewer.html#getDocument__anchor) [DocumentViewer.rotateCounterClockwise](https://sdk.apryse.com/api/web/Core.DocumentViewer.html#rotateCounterClockwise__anchor) [Document.getPageInfo](https://sdk.apryse.com/api/web/Core.Document.html#getPageInfo__anchor) [Document.cropPages](https://sdk.apryse.com/api/web/Core.Document.html#cropPages)
{% endtab %}

{% tab title="JavaScript (SDK v6.0+)" %}
{% code lineNumbers="true" %}

```js
WebViewer(...)
  .then(instance => {
    const docViewer = instance.docViewer;
    const rotation = instance.CoreControls.PageRotation;

    docViewer.on('documentLoaded', async () => {
      const doc = docViewer.getDocument();
      const cropTop = 100, cropLeft = 0, cropRight = 0, cropBottom = 0;
      const page1 = 1, page2 = 2, page3 = 3;

      doc.getPageInfo(page1 - 1); // {width: 612, height: 792}

      await doc.cropPages([page1], cropTop, cropBottom, cropLeft, cropRight)
      doc.getPageInfo(page1); // {width: 612, height: 692}

      await doc.rotatePages([page1], rotation.e_90);
      docViewer.rotateCounterClockwise(page1);
      doc.getPageInfo(page1 - 1); // {width: 692, height: 612}, width and height get swapped

      // rotate the first page back so that it appears upright in the viewer
      await doc.cropPages([page1], cropTop, cropBottom, cropLeft, cropRight);
      doc.getPageInfo(page1 - 1); // {width: 692, height: 512}
      // Even though the page appears upright, the document is rotated 90 degree clockwise
      // So the left side of the document is cropped
    });
  });
```

{% endcode %}

[WebViewerInstance](https://sdk.apryse.com/api/web/WebViewerInstance.html) [DocumentViewer.getDocument](https://sdk.apryse.com/api/web/Core.DocumentViewer.html#getDocument__anchor) [DocumentViewer.rotateCounterClockwise](https://sdk.apryse.com/api/web/Core.DocumentViewer.html#rotateCounterClockwise__anchor) [Document.getPageInfo](https://sdk.apryse.com/api/web/Core.Document.html#getPageInfo__anchor) [Document.cropPages](https://sdk.apryse.com/api/web/Core.Document.html#cropPages)
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/web/page-manipulation/crop.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
